﻿export default class poiPicker {
    constructor(config) {
        this.config = config;
        this.poiPickerSimple = null;
        this.init();
    };
    init() {
        let $ref = this;
        //加载PoiPicker，loadUI的路径参数为模块名中 'ui/' 之后的部分
        AMapUI.loadUI(['misc/PoiPicker'], function (PoiPicker) {
            $ref.poiPickerSimple = new PoiPicker({
                input: $ref.config.input ,//输入框id
                //placeSearchOptions: {
                //    map: $ref.config.map,
                //    pageSize: 15
                //},
            });
            if ($ref.config.callback) {
                $ref.config.callback($ref.poiPickerSimple);
            }
        });
    }
    onPoiPickerEvt(evtName, callback) {
        if (this.poiPickerSimple != null) {
            this.poiPickerSimple.on(evtName, callback);
        } else {
            alert("请先初始化poi对象")
        }
    }
}